<div class="form-container">
    <form class="entry-form" method="post">
      <h4>Register</h4>
      <input type="text" placeholder="Name" name="name" [(ngModel)]="register.Name" required="required">
      <input type="text" placeholder="State" name="state" [(ngModel)]="register.State" required="required">
      <input type="text" placeholder="City" name="city" [(ngModel)]="register.City" required="required">
      <input type="text" placeholder="Street Address" name="streetAddress" [(ngModel)]="register.StreetAdress" required="required">
      
      <input type="email" placeholder="Email" name="email" [(ngModel)]="register.Email" required="required">
      <input type="email" placeholder="Confirm Email" name="confirmEmail" [(ngModel)]="register.ConfirmEmail" required="required">
      <input type="password" placeholder="Password" name="password" [(ngModel)]="register.PasswordHash" required="required">
      <input type="password" placeholder="Confirm Password" name="confirmPassword" [(ngModel)]="register.ConfirmPassword" required="required">
      
      <button type="submit" (click)="initRegister()">Register</button>
    </form>
  </div>